%Authors: 	Martin Holler and Kristian Bredies
%		University of Graz
%Contact	martin.holler@uni-graz.at

function [u] = project_to_data(u,ldata,rdata)

[n,m] = size(u);

	%Block-DCT
		for n_it=1:8:n
			for m_it = 1:8:m
				u(n_it:n_it+7,m_it:m_it+7) = dct2( u(n_it:n_it+7,m_it:m_it+7) );
			end
		end
	
	%Project
	u( u>rdata ) = double( rdata( u>rdata ) );
	u( u<ldata ) = double( ldata( u<ldata ) );

	%Block-IDCT
		for n_it=1:8:n
			for m_it = 1:8:m
				u(n_it:n_it+7,m_it:m_it+7) = idct2( u(n_it:n_it+7,m_it:m_it+7) );
			end
		end



end
