%Authors: 	Martin Holler and Kristian Bredies
%		University of Graz
%Contact	martin.holler@uni-graz.at

function [gstar] = get_gstar(y,data,A)

	n = size(y,1);
	m = size(y,2);
	A = double(A);
	
	z=bdiv_1(y);

    	for i=1:8:n
		for j=1:8:m
			z(i:i+7,j:j+7) = dct2( z(i:i+7,j:j+7)  );
			z(i:i+7,j:j+7) = z(i:i+7,j:j+7).*double(data(i:i+7,j:j+7)) + abs(z(i:i+7,j:j+7)).*(A./2);
		end
	end
    	    	
    	gstar = sum(sum(z));
