%Authors: 	Martin Holler and Kristian Bredies
%		University of Graz
%Contact	martin.holler@uni-graz.at

function [u] = jpeg_dec(data,A)


[n,m] = size(data);
data = double(data);
u = zeros(n,m);

	%Decoding
	for i=1:8:n
		for j=1:8:m
			u(i:i+7,j:j+7) = idct2( data(i:i+7,j:j+7).*A );
		end
	end
	u = u + 128;

end
